> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Dashboards

> List analytics dashboards with optional filtering.



## OpenAPI

````yaml get /analytics/dashboards
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /analytics/dashboards:
    get:
      tags:
        - provider
        - analytics
        - analytics
      summary: List Dashboards
      description: List analytics dashboards with optional filtering.
      operationId: list_dashboards_analytics_dashboards_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page
        - name: per_page
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Per Page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - asc
                  - desc
              - type: 'null'
            title: Sort Direction
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by dashboard name
            title: Name
          description: Filter by dashboard name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_AnalyticsDashboardSchema_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Page_AnalyticsDashboardSchema_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AnalyticsDashboardSchema'
          type: array
          title: Data
        total:
          type: integer
          title: Total
      type: object
      required:
        - data
        - total
      title: Page[AnalyticsDashboardSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AnalyticsDashboardSchema:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the dashboard
        name:
          type: string
          title: Name
          description: Name of the dashboard
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the dashboard
        layoutConfig:
          anyOf:
            - type: object
            - type: 'null'
          title: Layoutconfig
          description: Grid layout configuration
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the dashboard is archived
        createdDate:
          type: string
          format: date-time
          title: Createddate
          description: When the dashboard was created
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: When the dashboard was last updated
      type: object
      required:
        - id
        - name
        - isArchived
        - createdDate
      title: AnalyticsDashboardSchema
      description: Schema for analytics dashboard response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````